Bug 182331 - Update audio/pianobar from 2013.05.19 to 2013.09.15
Update audio/pianobar from 2013.05.19 to 2013.09.15
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dmitry Marakasov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 20:30 UTC by john
Modified: 2013-09-25 05:20 UTC (History)
0 users

See Also:


Attachments
file.diff (3.13 KB, patch)
2013-09-23 20:30 UTC, john
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description john 2013-09-23 20:30:00 UTC

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-09-24 00:59:01 UTC
Maintainer of audio/pianobar,

Please note that PR ports/182331 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/182331

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-09-24 00:59:02 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 john 2013-09-24 01:43:34 UTC
On Mon, Sep 23, 2013 at 11:59:01PM +0000, Edwin Groothuis wrote:
> Maintainer of audio/pianobar,
> 
> Please note that PR ports/182331 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.

I approve of this message. I am in fact the same person. We are one. I
am him, and he is I.

- John

> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/182331
> 
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
Comment 4 Mark Linimon freebsd_committer 2013-09-24 06:15:11 UTC
State Changed
From-To: feedback->open

Submitter is maintainer from another address. 

To submitter: the autoassigner only knows to exactly check the From: address 
vs. the MAINTINER line.
Comment 5 Dmitry Marakasov freebsd_committer 2013-09-25 02:39:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 6 Dmitry Marakasov freebsd_committer 2013-09-25 05:18:12 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 7 dfilter freebsd_committer 2013-09-25 05:18:15 UTC
Author: amdmi3
Date: Wed Sep 25 04:18:08 2013
New Revision: 328251
URL: http://svnweb.freebsd.org/changeset/ports/328251

Log:
  - Update to 2013.09.15 [1]
  - While here, use new LIB_DEPENDS syntax and respect PREFIX
  
  PR:		182331 [1]
  Submitted by:	John Hixson <john@ixsystems.com> (maintainer) [1]

Deleted:
  head/audio/pianobar/files/patch-crypt.c
  head/audio/pianobar/files/patch-crypt.h
  head/audio/pianobar/files/patch-piano.h
Modified:
  head/audio/pianobar/Makefile
  head/audio/pianobar/distinfo
  head/audio/pianobar/files/patch-Makefile

Modified: head/audio/pianobar/Makefile
==============================================================================
--- head/audio/pianobar/Makefile	Wed Sep 25 03:51:17 2013	(r328250)
+++ head/audio/pianobar/Makefile	Wed Sep 25 04:18:08 2013	(r328251)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	pianobar
-PORTVERSION=	2013.05.19
+PORTVERSION=	2013.09.15
 CATEGORIES=	audio
 MASTER_SITES=	http://6xq.net/projects/${PORTNAME}/
 
@@ -11,12 +11,12 @@ COMMENT=	Command line Pandora player
 
 LICENSE=	MIT
 
-LIB_DEPENDS=	ao:${PORTSDIR}/audio/libao \
-		faad:${PORTSDIR}/audio/faad \
-		mad:${PORTSDIR}/audio/libmad \
-		gnutls:${PORTSDIR}/security/gnutls \
-		json:${PORTSDIR}/devel/json-c \
-		gcrypt:${PORTSDIR}/security/libgcrypt
+LIB_DEPENDS=	libao.so:${PORTSDIR}/audio/libao \
+		libfaad.so:${PORTSDIR}/audio/faad \
+		libmad.so:${PORTSDIR}/audio/libmad \
+		libgnutls.so:${PORTSDIR}/security/gnutls \
+		libjson.so:${PORTSDIR}/devel/json-c \
+		libgcrypt.so:${PORTSDIR}/security/libgcrypt
 
 MAN1=		pianobar.1
 MAN_COMPRESSED=	no
@@ -26,7 +26,7 @@ PLIST_FILES=	bin/pianobar
 USES=		gmake pkgconfig
 NO_STAGE=	yes
 USE_BZIP2=	yes
-MAKE_ARGS+=	CC="${CC}"
+MAKE_ARGS+=	CC="${CC}" PREFIX="${PREFIX}"
 
 CFLAGS+=	-I${LOCALBASE}/include -std=c99
 LDFLAGS+=	-L${LOCALBASE}/lib

Modified: head/audio/pianobar/distinfo
==============================================================================
--- head/audio/pianobar/distinfo	Wed Sep 25 03:51:17 2013	(r328250)
+++ head/audio/pianobar/distinfo	Wed Sep 25 04:18:08 2013	(r328251)
@@ -1,2 +1,2 @@
-SHA256 (pianobar-2013.05.19.tar.bz2) = cf88e82663d2b0aa4d73e761506eac4f3e7bc789b57d92377acd994d785e1046
-SIZE (pianobar-2013.05.19.tar.bz2) = 50942
+SHA256 (pianobar-2013.09.15.tar.bz2) = 3f8cf25ef054acf46e519d02453a6e214cfa09661b3adc03da99ace1c6f10066
+SIZE (pianobar-2013.09.15.tar.bz2) = 52553

Modified: head/audio/pianobar/files/patch-Makefile
==============================================================================
--- head/audio/pianobar/files/patch-Makefile	Wed Sep 25 03:51:17 2013	(r328250)
+++ head/audio/pianobar/files/patch-Makefile	Wed Sep 25 04:18:08 2013	(r328251)
@@ -1,5 +1,6 @@
---- Makefile.orig	2013-06-06 11:12:53.077684094 -0700
-+++ Makefile	2013-06-06 11:25:07.697666849 -0700
+diff -urN pianobar-2013.09.15.orig/Makefile pianobar-2013.09.15/Makefile
+--- Makefile	2013-09-15 06:54:04.000000000 -0700
++++ Makefile	2013-09-23 12:20:05.869414665 -0700
 @@ -4,7 +4,7 @@
  BINDIR:=${PREFIX}/bin
  LIBDIR:=${PREFIX}/lib
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"